# Get Review Stage

Source: https://www.digiparser.com/docs/api/getReviewStage

# Get Review Stage

Server URL`loading...`

GET

/`api`/`v1`/`parsers`/`{parserId}`/`review-stages`/`{stageId}`

Send

Authorization

Path

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

stageId\*string

The ID of the review stage

## [Response Body](#response-body)

### 200

`application/json`

### 404

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X GET "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/review-stages/4f7b91f7-bf39-43fd-8f28-54d2be41c5ef"
```

200404

```
{
  "id": "string",
  "name": "Manager Approval",
  "reviewerInstructions": "string",
  "position": 1,
  "reviewType": "mandatory",
  "reviewer": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "Jane Reviewer",
    "email": "[email protected]"
  },
  "rules": [
    {
      "id": "string",
      "type": "simple",
      "field": "Total Amount",
      "condition": "extracted_value",
      "operator": "equals",
      "value": "string",
      "name": "string",
      "editable": true
    }
  ]
}
```

```
{
  "error": true,
  "message": "Document not found",
  "notFound": [
    {
      "type": "documentId",
      "value": "string"
    }
  ]
}
```

[

Create Review Stage POST

Create a review stage. Public API V2 supports simple rules only.

](/docs/api/createReviewStage)[

Update Review Stage PATCH

Update customer-facing review stage settings. Stages containing code rules cannot have rules changed through the public API.

](/docs/api/updateReviewStage)